summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Marcel Saegebarth2012-12-30 02:48:56 +0100
committer dsomero2012-12-30 04:25:37 +0100
commit4a288ee28602bcd7649d25c8f062b920b4435294 (patch)
tree9d37153118d1079b3f0d39b7bc0774e4ff58cebd /libraries
parent6494a406389cfab77d10300ee69c53d09fb0ab7d (diff)
downloadslackbuilds-4a288ee28602bcd7649d25c8f062b920b4435294.tar.gz
libraries/libwebsocketpp: (C++/Boost ASIO implementation of RFC6455)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libwebsocketpp/README3
-rw-r--r--libraries/libwebsocketpp/libwebsocketpp.SlackBuild83
-rw-r--r--libraries/libwebsocketpp/libwebsocketpp.info10
-rw-r--r--libraries/libwebsocketpp/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/libraries/libwebsocketpp/README b/libraries/libwebsocketpp/README
new file mode 100644
index 0000000000..1690b1cb86
--- /dev/null
+++ b/libraries/libwebsocketpp/README
@@ -0,0 +1,3 @@
+WebSocket++ is a full featured C++/Boost ASIO implementation of RFC6455, the
+WebSocket protocol which can be used to build applications that feature
+WebSocket client and server functionality.
diff --git a/libraries/libwebsocketpp/libwebsocketpp.SlackBuild b/libraries/libwebsocketpp/libwebsocketpp.SlackBuild
new file mode 100644
index 0000000000..71626f8e06
--- /dev/null
+++ b/libraries/libwebsocketpp/libwebsocketpp.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# SlackBuild script for "libwebsocketpp".
+
+# Copyright 2012 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libwebsocketpp
+VERSION=20120917
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make -j1 CXXFLAGS="$SLKCFLAGS"
+make -j1 install prefix=$PKG/usr libdir=lib$LIBDIRSUFFIX SHARED=1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ dependencies.txt readme.txt license.txt todo.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libwebsocketpp/libwebsocketpp.info b/libraries/libwebsocketpp/libwebsocketpp.info
new file mode 100644
index 0000000000..ff0da7f24b
--- /dev/null
+++ b/libraries/libwebsocketpp/libwebsocketpp.info
@@ -0,0 +1,10 @@
+PRGNAM="libwebsocketpp"
+VERSION="20120917"
+HOMEPAGE="https://github.com/zaphoyd/websocketpp/"
+DOWNLOAD="http://mos6581.de/static/slackbuilds.org/sources/libwebsocketpp-20120917.tar.gz"
+MD5SUM="ddb8cf172cabe770251f4f9ef2340a47"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/libraries/libwebsocketpp/slack-desc b/libraries/libwebsocketpp/slack-desc
new file mode 100644
index 0000000000..2609aa9f44
--- /dev/null
+++ b/libraries/libwebsocketpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libwebsocketpp: libwebsocketpp (C++/Boost ASIO implementation of RFC6455)
+libwebsocketpp:
+libwebsocketpp: WebSocket++ is a full featured C++/Boost ASIO implementation of
+libwebsocketpp: RFC6455, the WebSocket protocol which can be used to build
+libwebsocketpp: applications that feature WebSocket client and server functionality.
+libwebsocketpp:
+libwebsocketpp: Homepage: https://github.com/zaphoyd/websocketpp/
+libwebsocketpp:
+libwebsocketpp:
+libwebsocketpp:
+libwebsocketpp: